slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVBiorthogonalizeColumn

Bi-orthogonalize a column of two BV objects.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVBiorthogonalizeColumn(BV V,BV W,PetscInt j)

Collective

### Input Parameters

| V | - first basis vectors context
| W | - second basis vectors context
| j | - index of column to be bi-orthonormalized

### Notes

This function bi-orthogonalizes vectors V[j],W[j] against W[0..j-1], and V[0..j-1], respectively, so that W[0..j]'*V[0..j] = diagonal.

### See Also

BVOrthogonalizeColumn(), BVBiorthonormalizeColumn()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbiorthog.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages